attic fails with ImportError on startup

Bug #1303385 reported by Pauli Virtanen
114
This bug affects 24 people
Affects Status Importance Assigned to Milestone
attic (Ubuntu)
High
Unassigned

Bug Description

Starting attic fails with

$ attic
Traceback (most recent call last):
  File "/usr/bin/attic", line 2, in <module>
    from attic.archiver import main
  File "/usr/lib/python3/dist-packages/attic/archiver.py", line 10, in <module>
    from attic.archive import Archive
  File "/usr/lib/python3/dist-packages/attic/archive.py", line 12, in <module>
    from attic.chunker import chunkify
ImportError: No module named 'attic.chunker'

The reason is that /usr/bin/attic starts with "#!/usr/bin/python3", which on Ubuntu trusty is alias for python 3.4, whereas the attic package 0.10-1 contains compiled modules only for Python 3.3.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: attic 0.10-1
ProcVersionSignature: Ubuntu 3.13.0-19.40-generic 3.13.6
Uname: Linux 3.13.0-19-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
Date: Sun Apr 6 18:42:28 2014
InstallationDate: Installed on 2013-06-06 (303 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
SourcePackage: attic
UpgradeStatus: Upgraded to trusty on 2014-04-06 (0 days ago)

Revision history for this message
Pauli Virtanen (pauli-virtanen) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in attic (Ubuntu):
status: New → Confirmed
Revision history for this message
Andrew Simpson (andrew-simpson) wrote :

Fixed in Debian (Archived bug report)

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=750920

Revision history for this message
Andrew Simpson (andrew-simpson) wrote :

The upstream developer is recommending using the Utopic version of Attic as a workaround for this bug.

http://librelist.com/browser//attic/2014/7/31/help-request-please/#4a4b9e3501d88f83a0f04aabf053663b

As far as I can see the Utopic version should have dependencies satisfied in Trusty.

Changed in attic (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.